Bug 97574 - www/mod_jk: mistake in sample mod_jk.conf-sample
Summary: www/mod_jk: mistake in sample mod_jk.conf-sample
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-21 22:10 UTC by Olli Hauer
Modified: 2006-08-14 08:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer 2006-05-21 22:10:16 UTC
apache will not start with the settings in the mod_jk.conf.sample.
The messages in the jk.log (if the directory /usr/local/logs exist) 
will  show the following error messages.

[error] init_jk::mod_jk.c (2370): Initializing shm:/usr/local/logs/jk-runtime-status errno=2
[error] jk_child_init::mod_jk.c (2326): Attachning shm:/usr/local/logs/jk-runtime-status errno=2


This message comes from the missing JkShmFile directive.
If you don't like the path (/var/log/...) so please add only the Line with
the JkShmFile in the mod_jk.conf.sample and create the directory
/usr/local/logs with the portinstall.

There is also a mistake in the mod_jk.conf.sample
 - JkLogLevel warn is not defined!

valid log levels:
 from the source in 
 - apache-1.3/mod_jk.c * JkLogLevel debug/info/request/error/emerg
 - apache-2.0/mod_jk.c * JkLogLevel debug/info/error/emerg

 from http://tomcat.apache.org/connectors-doc/howto/apache.html
 valid JkLogLevel: info/error/debug

Fix: 

# Sample JkMounts.  Replace these with the paths you would
        # like to mount from your JSP server.--Syq2phS6QIm05ijuVzmop5rOhhO3XEt3upEetkorCNivQ3kR
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- mod_jk.conf.sample.orig     Tue Feb  7 04:23:10 2006
+++ mod_jk.conf.sample  Tue Mar 14 13:22:25 2006
@@ -3,8 +3,9 @@
 #
 <IfModule mod_jk.c>
        JkWorkersFile %%APACHE_CONF%%/workers.properties
-       JkLogFile  logs/jk.log
-       JkLogLevel warn
+       JkLogFile  /var/log/jk.log
+       JkShmFile  /var/log/jk-runtime-status
+       JkLogLevel error
How-To-Repeat: 1) Install apache20 + mod_jk from ports, if the directory /usr/local/logs does not exist you can not bring up apache.
2) create directory /usr/local/logs 
3) start apache
4) watch the file /usr/local/logs/jk.log
5) create the line 'JkShmFile  /var/log/jk-runtime-status' in mod_jk.conf
6) restart apache
Comment 1 Edwin Groothuis freebsd_committer 2006-05-22 07:37:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer
Comment 2 Palle Girgensohn freebsd_committer 2006-08-14 08:50:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!